Ubuntu

Change log for “heartbeat” package in Ubuntu

161 of 61 results
Published in trusty-release on 2013-11-19
Deleted in trusty-proposed (Reason: moved to release)
heartbeat (1:3.0.5-3.2) unstable; urgency=low


  * Non-maintainer upload.
  * Fix "FTBFS: ucast.c:468:6: error: conflicting types for 'i'":
    add patch fix-ftbfs-lp1188428.patch from Ubuntu / Andres Rodriguez:
    - Fix FTBFS by renaming a duplicated var name 'i' (struct and int), for
      the struct.
    (Closes: #713662, LP: #1188428)

 -- gregor herrmann <email address hidden>  Wed, 13 Nov 2013 21:28:58 +0100
Superseded in trusty-release on 2013-11-19
Published in saucy-release on 2013-06-11
Deleted in saucy-proposed (Reason: moved to release)
heartbeat (1:3.0.5-3.1ubuntu1) saucy; urgency=low

  * debian/patches/fix-ftbfs-lp1188428.patch: Fix FTBFS by renaming a
    duplicated var name 'i' (struct and int), for the struct.
 -- Andres Rodriguez <email address hidden>   Tue, 11 Jun 2013 17:34:47 -0400
Superseded in saucy-proposed on 2013-06-11
heartbeat (1:3.0.5-3.1) unstable; urgency=low


  * Non-maintainer upload.
  * Complete transition to dh_python2 (Closes: #616841).

 -- Luca Falavigna <email address hidden>  Thu, 30 May 2013 20:19:40 +0200
Superseded in saucy-release on 2013-06-11
Published in raring-release on 2012-10-18
Published in quantal-release on 2012-10-02
heartbeat (1:3.0.5-3ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Tue, 02 Oct 2012 12:18:42 +0100
Superseded in quantal-release on 2012-10-02
Published in precise-release on 2012-04-03
heartbeat (1:3.0.5-3ubuntu2) precise; urgency=low

  * No change rebuild to fix FTBFS (LP: #972599)
 -- Andres Rodriguez <email address hidden>   Tue, 03 Apr 2012 13:15:42 -0400
Superseded in precise-release on 2012-04-03
heartbeat (1:3.0.5-3ubuntu1) precise; urgency=low

  * Drop unused build dependency on python-central.
 -- Matthias Klose <email address hidden>   Wed, 14 Dec 2011 15:33:50 +0100

Available diffs

Superseded in precise-release on 2011-12-14
heartbeat (1:3.0.5-3) unstable; urgency=low

  * Adopted numerous changes from the Ubuntu packages, implemented by Andres
    Rodriguez to make co-maintaining these packages in Ubuntu and Debian a
    bit easier.
  * Updated the Standards-Version to 3.9.2, no changes necessary.

Available diffs

Superseded in precise-release on 2011-11-07
Published in oneiric-release on 2011-07-06
heartbeat (1:3.0.5-0ubuntu2) oneiric; urgency=low

  * debian/patches/fix-shlibdeps.patch: Explicitly link against all
    needed libraries, the error causes other packages to FTBFS. (LP: #770743)
 -- Andreas Moog <email address hidden>   Sat, 25 Jun 2011 07:17:59 +0000
Superseded in oneiric-release on 2011-07-06
heartbeat (1:3.0.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control: Depends on resource-agents instead of cluster-agents.
  * debian/patches:
    - 01_docbook_path.dpatch: Refreshed.
    - typos.dpath: Refreshed.
    - debian/patches/create_ra_rundir.patch: Drop. Fixed Upstream.
  * debian/heartbeat{-dev}.install: Install mcast6 plugin.
 -- Andres Rodriguez <email address hidden>   Wed, 22 Jun 2011 14:39:50 -0400
Superseded in oneiric-release on 2011-06-22
Obsolete in natty-release on 2013-06-04
heartbeat (1:3.0.4-1ubuntu3) natty; urgency=low

  * debian/patches/create_ra_rundir.patch: Ensure that init script creates
    '/var/run/resource-agents'; otherwise cluster operations will fail as
    RA's expect it (LP: #751344).
 -- Andres Rodriguez <email address hidden>   Fri, 15 Apr 2011 13:26:23 -0700
Superseded in natty-release on 2011-04-17
heartbeat (1:3.0.4-1ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2
 -- Steve Langasek <email address hidden>   Thu, 24 Mar 2011 16:49:13 -0700
Superseded in natty-release on 2011-03-25
heartbeat (1:3.0.4-1ubuntu1) natty; urgency=low

  * Rebuild
 -- Dustin Kirkland <email address hidden>   Thu, 13 Jan 2011 10:56:09 -0600

Available diffs

Superseded in natty-release on 2011-01-13
heartbeat (1:3.0.4-1) unstable; urgency=low

  * New Upstream
    Closes: 487167
    Closes: 582874
  * Update standards version from 3.8.4 to 3.9.1
  * Added Homepage to debian/control
    Closes: 594031
  * Depend on new cluster-agent library packages
    Closes: 593321
 -- Andres Rodriguez <email address hidden>   Wed,  12 Jan 2011 21:13:33 +0000

Available diffs

Superseded in natty-release on 2011-01-12
Superseded in natty-release on 2010-12-14
heartbeat (1:3.0.3-2ubuntu1) natty; urgency=low

  * debian/patches/ftbfs_no_as_needed.patch: Fix FTBFS (LP: #687975).
 -- Andres Rodriguez <email address hidden>   Thu, 09 Dec 2010 14:09:59 -0500

Available diffs

Superseded in natty-release on 2010-12-09
Obsolete in maverick-release on 2013-03-05
Superseded in maverick-release on 2010-09-25
Superseded in maverick-release on 2010-09-06
heartbeat (1:3.0.3-2) unstable; urgency=low

  * Add build dependency on docbook-xml.
 -- Angel Abad <email address hidden>   Tue,  22 Jun 2010 17:56:44 +0100

Available diffs

Superseded in maverick-release on 2010-06-22
Published in lucid-release on 2010-04-26
heartbeat (1:3.0.3-1ubuntu1) lucid; urgency=low

  * Merge from debian unstable
  * Remaining changes:
    - debian/control: Remove duplicated uuid-dev Build-Depends
 -- Ante Karamatic <email address hidden>   Mon, 26 Apr 2010 12:46:44 +0200
Superseded in lucid-release on 2010-04-26
heartbeat (1:3.0.2+hg12555-2ubuntu1) lucid; urgency=low

  * Sync from debian unstable (LP: #562711).
  * debian/control: Remove duplicated uuid-dev Build-Depends.
  * debian/rules: Add '--disable-fatal-warnings' to configure.
 -- Andres Rodriguez <email address hidden>   Wed, 14 Apr 2010 00:21:06 -0400
Superseded in lucid-release on 2010-04-14
heartbeat (3.0.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Drop hard dep on pacemaker for heartbet; moved to Recommends
  * debian/heartbeat.install:
    - follow upstream changes
  * debian/control:
    - added docbook-xsl and xsltproc to build depends
 -- Ante Karamatic <email address hidden>   Wed, 17 Feb 2010 21:59:18 +0000
Superseded in lucid-release on 2010-02-18
heartbeat (2.99.2+sles11r9-5ubuntu3) lucid; urgency=low

  * debian/control:
    + move libdbd-mysql-perl to Recommends (thx ivoks)
 -- Stephan Hermann <email address hidden>   Tue, 19 Jan 2010 12:51:21 +0000
Superseded in lucid-release on 2010-01-19
heartbeat (2.99.2+sles11r9-5ubuntu2) lucid; urgency=low

  * debian/control:
    + added libdbd-mysql-perl to ldirectord package Depends (LP: #509567)
    + added libsocket6-perl to ldirectord package Depends (LP: #487508)
  * resources/OCF/Makefile.am:
    + removed duplicate drbd resource script (LP: #509588)
 -- Stephan Hermann <email address hidden>   Tue, 19 Jan 2010 11:32:17 +0000
Superseded in lucid-release on 2010-01-19
Obsolete in karmic-release on 2013-03-04
heartbeat (2.99.2+sles11r9-5ubuntu1) karmic; urgency=low

  * New upstream snapshot
  * Adjusted heartbeat.install and rules for documentation path

 -- Ante Karamatic <email address hidden>   Mon, 10 Aug 2009 19:29:25 +0200
Superseded in karmic-release on 2009-08-10
heartbeat (2.1.4-7) unstable; urgency=low

  * haresources2cib.py was swaping the nic and netmask of IPAddr resources
    Upstream-Status: this code has been moved to pacemaker post upstream 2.1.4
    (closes: 520898)

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
heartbeat (2.1.4-2) unstable; urgency=low

  * Dependancy on uuid-runtime for heartbeat-gui

    Unfortuantely the 2.1.3-7 of this fix made it into upstream 2.1.4
    but not the 2.1.3-8 version of the fix. This should rectify this
    problem, again...

    Patch: medium_debian_uuid-duntime__e2fsprogs_dependancy_for_heartbeat-gui.patch
    Upstream-status: Pending
    (closes: #484868)

  * Dependancy on ${shlibs:Depends} for heartbeat-gui
    As per lintian error "missing-dependency-on-libc"

  * Pass --enable-libc-malloc to configure.
    --enable-glib-malloc was a typo.

    Upstream-satatus: Pending

  * Don't ignore errors in clean target of debian/rules
    As per lintian warning "debian-rules-ignores-make-clean-error"

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
heartbeat (2.1.3-8) unstable; urgency=low

  * The dependancy on uuid-runtime added in 2.1.3-7 was not a build dependacy,
    it was a regular dependancy for heartbeat. However, it should have been
    a dependancy for heartbeat-gui.
    (closes: #484868)
  * Update standards version from 3.7.3 to 3.8.0
  * Remove bashisms from character clases
    Patch: dash-case.patch
    Upsteram-Status: commit 5aea0e314a77c15437765593a7b4f3f13c829f83
                     "Low: Remove bashisms from character classes"
    Ubuntu bug #248737

Available diffs

Superseded in intrepid-release on 2008-08-20
heartbeat (2.1.3-6ubuntu2) intrepid; urgency=low

  * debian/patches/more_bashisms.patch:
    - Adjusted to fix other bashisms (LP: #243712).

 -- Luca Falavigna <email address hidden>   Sun, 29 Jun 2008 10:07:26 +0200

Available diffs

Superseded in intrepid-release on 2008-06-29
heartbeat (2.1.3-6ubuntu1) intrepid; urgency=low

  * debian/patches/more_bashisms.patch:
    - Fix some bashisms (LP: #174182, #230653).
  * debian/control:
    - Update Maintainer field as per spec.

 -- Luca Falavigna <email address hidden>   Thu, 19 Jun 2008 22:55:57 +0200

Available diffs

Superseded in intrepid-release on 2008-06-20
heartbeat (2.1.3-6) unstable; urgency=low

  * Run confgure before clean in debian/rules to handle the
    bizzare case where targets exist but Makefiles don't -
    This is actually the case in 2.1.3-5, I'm not sure when or
    how this occured.
    
    Thanks to Andrew Suffield for pointing this out

    (closes: #476700)

  * Recompile using a version of debhelper that doesn't feature
    a bug whereby manpages aren't compressed.

    (closes: #475667)

Superseded in intrepid-release on 2008-05-03
Published in hardy-release on 2008-01-18
heartbeat (2.1.3-2) unstable; urgency=low

  * Update standards version from 3.7.2 to 3.7.3
  * Add should-start/stop $remote_fs to init script (closes: #459497)
  * Add should-start/stop openhpid to init scrpt (see: #459497)
  * Remove should-stop ntp to init script (see: #459497)
  * Rebase tree against tarball - its almost as if the 2.1.3-1 upload
    was based on another tree
    - Update
      + /usr/lib/libpe_rules.so.1.0.0 to libpe_rules.so.2.0.0
      + /usr/lib/libpe_status.so.1.0.0 to libpe_status.so.2.0.0
    - Move
      + /usr/lib/heartbeat/ha_logd.cf to /usr/share/doc/heartbeat/logd.cf
    - Add
      + /usr/lib/heartbeat/utillib.sh
      + /usr/lib/ocf/resource.d/heartbeat/iscsi
      + /usr/lib/stonith/plugins/external/ibmrsa-telnet
      + /usr/lib/stonith/plugins/external/ipmi
      + /usr/include/clplumbing/cl_reboot.h
      + /usr/share/heartbeat/utillib.sh
      + /usr/share/doc/heartbeat/hb_report.html
      + /usr/share/doc/heartbeat/hb_report.txt
      + /usr/sbin/hb_report
      + /usr/sbin/ciblint
    - A host of other changes as per the 2.1.3 changelog
  * Add SphinxSearchDaemon OCF resource that was missing from the distribution

  * Build notes:
    - Unpacked tarball from linux-ha.org
    - Applied changes detaile above
    - Applied debian patches: ./debian/rules patch
    - Affected changes to configure.in
      + Backed up libltdl.tar, haclient.zh_CN.mo
      + Ran ./ConfigureMe bootstrap to effect changes to configure.in
      + Removed symlinks created by ./ConfigureMe:
        - autoconf, automake, autoheader
      + Restored libltdl.tar, haclient.zh_CN.mo
    - Built package

Superseded in hardy-release on 2008-01-18
heartbeat (2.1.2+hg.11310.702e4f418ca8-2build1) hardy; urgency=low

  * Rebuild for libsnmp10 -> libsnmp15 transition.

 -- Steve Kowalik <email address hidden>   Mon, 10 Dec 2007 20:30:38 +1100
Superseded in hardy-release on 2007-12-10
heartbeat (2.1.2+hg.11310.702e4f418ca8-2) unstable; urgency=low

  * Add patches in debian/patches/ which went missing in action somewhere

Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
heartbeat (2.1.2-1) unstable; urgency=low

  * New Upstream
    - Fix file relocation problems
      (closes: #434829)
    - Fix IPaddr's handling of CIDR netmasks
    - Ran ./ConfigureMe bootstrap && make distclean &&
          rm ltdl.m4 libtool.m4 autoconf automake autoheader
      to effect changes made to configure.in
  * Add openhpi stonith module
    - Add build dependancy on libopenhpi-dev
    - Add usr/lib/stonith/plugins/stonith2/bladehpi.so to heartbeat.files
  * IPv6 configure check
    - For the ipv6 check to work Debian ia64 currently needs to check
      "sys/types.h", a patch went into the tree a while ago to fix this.
      However, at the 11th hour a patch went into 2.1.2 to reverse this
      change as it breaks the build on RHEL4. So for now, until a proper
      fix is made, just reverse that change in Debian packages.
    - Ran ./ConfigureMe bootstrap && make distclean &&
          rm ltdl.m4 libtool.m4 autoconf automake autoheader
      to effect changes made to configure.in
    - Patch: ipv6-check.patch

Superseded in gutsy-release on 2007-08-03
heartbeat (2.0.8-9build1) gutsy; urgency=low

  * Rebuild for the libcurl transition mess.

 -- Steve Kowalik <email address hidden>   Thu,  5 Jul 2007 00:14:19 +1000
Superseded in gutsy-release on 2007-07-04
Superseded in gutsy-release on 2007-06-18
heartbeat (2.0.8-9) unstable; urgency=low

  * Run autoconf so that the FTBFS on ia64 fix included in
    2.0.8-8 actually takes effect. Bahh!

Superseded in gutsy-release on 2007-06-01
heartbeat (2.0.8-7) unstable; urgency=low

  * Add a (tempoary) build dependancy on linux-kernel-headers for ia64
    to get around a curious autobuild problem.
    See: http://lists.debian.org/debian-ia64/2007/05/msg00003.html

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  25 May 2007 11:06:37 +0100
Superseded in gutsy-release on 2007-05-25
heartbeat (2.0.8-5) unstable; urgency=low

  * The heartbeat-2-dev.dirs and friends change in 2.0.8-4 closes
    #424192, not #424053 (which is also fixed by a different change
    in 2.0.8-4)
  * Add missing dummy package for stonith

Superseded in gutsy-release on 2007-05-18
heartbeat (2.0.8-3) unstable; urgency=low

  * Rename source package from heartbeat-2 to heartbeat.
    Previously the heartbeat source package was used to package
    up the 1.2.X series of releases, and heartebat-2 was used
    for the newer 2.0.X series of releases. The idea being to offer
    stable "heartbeat" packages when the 2.0.X stuff was all
    new. It turns out that the 2.0.X tree has been at least as
    stable as the 1.2.X tree for quite a while now, and the 1.2.X doesn't
    get much attention any more, so  there seems little advantage in
    having the separate source packages, except perhaps to create confusion
    and extra work.
  * Update curl build dependancy for libcurl4
    Thanks to Christian Marillat
    (closes: #423655)
  * 2.0.8 (and probably earilier) includes the corrected scsi command syntax
    Thanks to Christoph Martin
    (closes: #350586)

Superseded in gutsy-release on 2007-05-16
heartbeat (1.2.5-4) unstable; urgency=low

  * Update build debendancy and rebuild against libsnmp10.
    Somehow libsnmp9 has been removed from the distribution,
    rendering heartbeat uninstallable.
    Thanks to Steinar H. Gunderson
    (closes: #422107)
  * Add missing dependancy on libmail-pop3client-perl to ldirectord.
    Thanks to Cyril Bouthors
    (closes: #421415)
  * Fix bug in ping_group. Thanks to Wolfgang Dumhs,
    Tuomo Soini and  Andreas 'ads' Scherbaum.
    This shold have been fixed in 1.2.5-2, but I mucked up the source
    and the patch wasn't applied.
    (Closes: #398672,#398731)
  * IPv6addr: Remove local scope check which seems to be broken
    Patch: ipv6addr-no-local.patch
    Upstream: http://hg.linux-ha.org/lha-STABLE_1_2/rev/629ac0cd3ea9
  * IPv6addr: Fix potential buffer overflow when a 128bit prefix is used
    Patch: ipv6addr-find_if-overflow.patch
    Upstream: http://hg.linux-ha.org/lha-STABLE_1_2/rev/9dbed9140821
  * IPv6addr: Fix potential stack overflow in use of devname in scan_if
    Patch: ipv6addr-21-char-devname.patch
    Upstream: http://hg.linux-ha.org/lha-STABLE_1_2/rev/d4c611cf66b7
  * IPv6addr: Handle scanf failures in scan_if()
    Patch: ipv6addr-scanf-return.patch
    Upstream: http://hg.linux-ha.org/lha-STABLE_1_2/rev/0e4a1b7a0045
  * IPv6addr: Fix potential information leak by zeroing the buffer which
              is sent as ICMP payload
    Patch: ipv6addr-zero-outpack.patch
    Upstream: http://hg.linux-ha.org/lha-STABLE_1_2/rev/44daddd0f03e

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  06 May 2007 08:07:27 +0100
Superseded in gutsy-release on 2007-05-06
Obsolete in feisty-release on 2009-08-20
heartbeat (1.2.5-3build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <email address hidden>   Mon,  5 Mar 2007 01:18:06 +0000
Superseded in feisty-release on 2007-03-05
heartbeat (1.2.5-3) unstable; urgency=low

  * Added build dependancy and dependancy on psmisc for fuser
    Thanks to Eriberto 
    (Closes: #399852) 

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  06 Dec 2006 12:59:49 +0000
Superseded in feisty-release on 2006-12-06
heartbeat (1.2.5-2) unstable; urgency=low

  * /usr/lib/heartbeat/IPv6addr was a symlink to itself
    Thanks to Alexis Layton
  * Acknowldge NMU by Roger Leigh (Closes: #383985)
  * Fix bug in ping_group. Thanks to Wolfgang Dumhs,
    Tuomo Soini and  Andreas 'ads' Scherbaum.
    (Closes: #398672)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  16 Nov 2006 17:04:35 +0000
Superseded in feisty-release on 2006-11-16
heartbeat (1.2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Remove build dependency and dependency on netkit-ping
    (Closes: #383985).

Obsolete in dapper-updates on 2011-09-06
Obsolete in dapper-security on 2011-09-06
heartbeat (1.2.4-2ubuntu0.2) dapper-security; urgency=low

  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/16-oob-read.patch: Fix buffer overread in
    clplumbing/cl_netstring.c.
  * Apply above patch inline (build system does not do that automatically).
  * CVE-2006-3121

 -- Martin Pitt <email address hidden>   Wed, 16 Aug 2006 09:14:15 +0000
Obsolete in hoary-security on 2008-03-19
heartbeat (1.2.3-3ubuntu1.3) hoary-security; urgency=low

  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/16-oob-read.patch: Fix buffer overread in
    clplumbing/cl_netstring.c.
  * Apply above patch inline (build system does not do that automatically).
  * CVE-2006-3121

 -- Martin Pitt <email address hidden>   Wed, 16 Aug 2006 09:03:29 +0000
Obsolete in breezy-security on 2008-03-25
heartbeat (1.2.3-12ubuntu0.2) breezy-security; urgency=low

  * SECURITY UPDATE: Remote DoS.
  * Add debian/patches/16-oob-read.patch: Fix buffer overread in
    clplumbing/cl_netstring.c.
  * Apply above patch inline (build system does not do that automatically).
  * CVE-2006-3121

 -- Martin Pitt <email address hidden>   Wed, 16 Aug 2006 09:16:12 +0000
Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
heartbeat (1.2.4-14build1) edgy; urgency=low

  * Fake-sync a newer Debian version to fix vulnerability (but not the newest
    package since that is a new upstream version).
  * Fixed CVE number in previous changelog (also fixed in latest Debian
    version).

Superseded in edgy-release on 2006-08-16
heartbeat (1.2.4-13) unstable; urgency=low

  * shmget-perms.patch
    Fix local denial of service caused by incorrect permisions
    on a shared memory page.
    CVE-2006-3815, DSA-1128
    (closes: #379904)
  * ldirectord-1.141-emailalert-1-quiet.patch
    Don't send email alerts if the alert address is not configured
    (closes: #380593)
  * ldirectord-1.139.patch, ldirectord-1.141-emailalert-2-global.patch
    Allow emailalert and emailalertfreq directives to be global
    as well as per-virtual service
  * ldirectord-1.141-readline_workaround.patch
    readline doesn't seem to return lines after Net::FTP
    has been called, so split them up by hand.
  * Added build dependancy on iptables, as it is needed to
    supply the correct path to iptables for the portblock resource
    (closes: #380180)
  * Added recommends iptables to heartbeat-2, as it is needed
    for the portblock resource to function correctly

 -- Martin Pitt <email address hidden>   Fri,  11 Aug 2006 15:31:45 +0100
Superseded in dapper-security on 2006-08-16
heartbeat (1.2.4-2ubuntu0.1) dapper-security; urgency=low

  * SECURITY UPDATE: Local DoS.
  * Add debian/patches/01-shm_permissions.patch:
    - Fix permissions of created shared memory block to not be
      world-read/writable.
    - Patch taken from upstream:
      http://cvs.linux-ha.org/viewcvs/viewcvs.cgi/linux-ha/heartbeat/heartbeat.c?r1=1.513&r2=1.514
    - CVE-2006-3815
  * Apply above patch inline (build system does not do that automatically).

 -- Martin Pitt <email address hidden>   Wed, 26 Jul 2006 09:07:10 +0000
Superseded in hoary-security on 2006-08-16
heartbeat (1.2.3-3ubuntu1.2) hoary-security; urgency=low

  * SECURITY UPDATE: Local DoS.
  * Add debian/patches/01-shm_permissions.patch:
    - Fix permissions of created shared memory block to not be
      world-read/writable.
    - Patch taken from upstream:
      http://cvs.linux-ha.org/viewcvs/viewcvs.cgi/linux-ha/heartbeat/heartbeat.c?r1=1.513&r2=1.514
    - CVE-2006-3815
  * Apply above patch inline (build system does not do that automatically).

 -- Martin Pitt <email address hidden>   Wed, 26 Jul 2006 09:13:47 +0000
Superseded in breezy-security on 2006-08-16
heartbeat (1.2.3-12ubuntu0.1) breezy-security; urgency=low

  * SECURITY UPDATE: Local DoS.
  * Add debian/patches/01-shm_permissions.patch:
    - Fix permissions of created shared memory block to not be
      world-read/writable.
    - Patch taken from upstream:
      http://cvs.linux-ha.org/viewcvs/viewcvs.cgi/linux-ha/heartbeat/heartbeat.c?r1=1.513&r2=1.514
    - CVE-2006-3815
  * Apply above patch inline (build system does not do that automatically).

 -- Martin Pitt <email address hidden>   Wed, 26 Jul 2006 09:09:35 +0000
Superseded in edgy-release on 2006-08-11
heartbeat (1.2.4-12ubuntu1) edgy; urgency=low

  * SECURITY UPDATE: Local DoS.
  * Add debian/patches/01-shm_permissions.patch:
    - Fix permissions of created shared memory block to not be
      world-read/writable.
    - Patch taken from upstream:
      http://cvs.linux-ha.org/viewcvs/viewcvs.cgi/linux-ha/heartbeat/heartbeat.c?r1=1.513&r2=1.514
    - CVE-2006-3815
  * Apply above patch inline (build system does not do that automatically).

 -- Martin Pitt <email address hidden>   Wed, 26 Jul 2006 11:15:27 +0200
Superseded in edgy-release on 2006-07-26
heartbeat (1.2.4-12) unstable; urgency=low

  * ldirectord: Add dependancy on libmailtools-perl (Mail::Send)
    (closes: #376786)
  * ldirectord: Add misggingdependancy on libnet-perl
                  (Net::SMTP, Net::FTP, Net::POP3)
  * ldirectord: Remove unneccesary depenancy on adduser

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  06 Jul 2006 03:02:36 +0100
Superseded in edgy-release on 2006-07-06
heartbeat (1.2.4-11) unstable; urgency=low

  * Remove the unneccesary Build-Depends on automake as part of
    automake transition. http://wiki.debian.org/AutomakeTransition
    (closes #376623)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Jul 2006 16:40:47 +0100
Superseded in edgy-release on 2006-07-05
heartbeat (1.2.4-10) unstable; urgency=low

  * Update ldirectordy from 1.77.2.32 to 1.77.2.45 (1.135)
    - 1.77.2.45
      Only log to stdio during init
      Thanks to Jan Yenya Kasprzak
    - 1.77.2.44
      When daemonised, use /dev/null instead of /dev/console for stdout
      and stderr as /dev/console may not always be available
      Thanks to Jan Yenya Kasprzak
    - 1.77.2.43
      Test for  istead of defined  as (Fedora Core at least) the latter
      is always true.
      Thanks to Jan Yenya Kasprzak
    - 1.77.2.42
      Add email alerts to ldirectord.
      Thanks to anthony
    - 1.77.2.41
      Make sure ldirectord does not detatch from the terminal in debug mode.
    - 1.77.2.40
      Actually sync with head 1.130
      (previous commits were missing some older changes)
    - 1.77.2.39
      Remove uncaught alarm in eval which is a race condition in the connect
      and sip checks.
      Thanks to Keith Bucher and Julien Ducros
    - 1.77.2.38
      the the -> the
    - 1.77.2.37
      Fix a problem relating to zombie real servers appearing if the real
      and virtual servers have different ports - comment inline
    - 1.77.2.36
      Allow authenticted LDAP access.
      Thanks to Andreas Nolte
    - 1.77.2.35
      Actually use DNS over TCP for TCP servers.
      Thanks to Todd Lyons
    - 1.77.2.34
      Delay checking of duplicates until we have enough information to
      generate an acurate id for the service
    - 1.77.2.33
      Fix url check, seems like a regression from when the http and https
      checks were merged
    - 1.77.2.32
      Handle socket errors, regresion introduced when SIP check was added
  * Don't run deluser and delgroup in postrm
    - These commands may not be available at this time (closes: #375507)
    - If there are any files left that belong to this user or group
      then they will be left unowned and get inhereited by the
      next user that comes along that happens to have hacluster's
      old userid or the old haclient groupid respectively.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  30 Jun 2006 13:29:08 +0100
Superseded in edgy-release on 2006-06-30
heartbeat (1.2.4-9) unstable; urgency=low

  * Move IPv6addr from /etc/ha.d/resource.d/ into /usr/lib/heartbeat,
    and then symlink that back into /etc/ha.d/resource.d/ as binaries
    are not allowed in /etc (closes: #369815)

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
heartbeat (1.2.4-2) unstable; urgency=low


  * Rebuild, as i386 upload was missing depenancies on vanessa libraries.
    This was caused by a ~/.magic in the build environment that had very
    unexpected side affects. Primarily causing file to return "data"
    instead of "ELF" on ELF executables, and thus causing all executables
    to be skipped by dh_shlibdeps.
  * Add dependancy on openssh-client which is needed as 00-ssh_scp_path.patch
    was removed in 1.2.4-1
  * Slightly Enhanced package descriptions 
    (closes: #337895, #337896)

 -- Simon Horman <email address hidden>  Tue, 27 Dec 2005 13:38:55 +0900
Superseded in dapper-release on 2006-01-31
heartbeat (1.2.4-1) unstable; urgency=low


  * New Upstream
  * Make sure adduser is passed the --system flag
    (closes: #336180)
  * Don't apply 00-ssh_scp_path.patch as it shouldn't be
    needed and it creates a lot of diff due to automake and
    autoconf regenerating everything.

 -- Simon Horman <email address hidden>  Fri,  9 Dec 2005 10:10:15 +0900
Obsolete in breezy-release on 2008-03-25
heartbeat (1.2.3-12) unstable; urgency=high


  * 11-tmpfile-problems.patch, 12-tmpfile-problems-2.patch
    Don't use predictable temp files
    [heartbeat/lib/BasicSanityCheck.in, heartbeat/resource.d/WAS.in
     lib/plugins/stonith/meatware.c, lib/stonith/meatclient.c,
     cts/CM_hb.py.in, cts/CTStests.py.in CAN-2005-2231] (closes: #318287)
  * debian/apply
    Apply patches in the correct order.
  * 12-tmpfile-problems-2.patch
    Added CTS back in with security fix
    [usr/lib/heartbeat/cts/CM_fs.py, usr/lib/heartbeat/cts/CM_hb.py,
    usr/lib/heartbeat/cts/CTS.py, usr/lib/heartbeat/cts/CTSaudits.py,
    usr/lib/heartbeat/cts/CTSlab.py, usr/lib/heartbeat/cts/CTStests.py
    CAN-2005-2231]
  * 13-confdir.patch
    Change CONF_D defined (and missing) in some resources
    to HA_CONFDIR in shelfuncs, allowing arp_config to function
    correctly in IPaddr2 and SendArp. (closes: #318266)
  * debian/rules
    Include cts documentation
  * 14-ipadd2_no_loopback_delete.patch
    Fix IPaddr2 so it doesn't remove loopback interfaces on stop
  * 15-LVM2.patch
    Allow the LVM resource to work with LVM2 as well as LVM1
    (closes: #309906)
  * Upgrade Standards-Version from 3.6.1 to 3.6.2

 -- Simon Horman <email address hidden>  Mon, 18 Jul 2005 22:27:29 +0200
Superseded in hoary-security on 2006-07-27
heartbeat (1.2.3-3ubuntu1.1) hoary-security; urgency=low


  * SECURITY UPDATE: Fix insecure temporary files.
  * cts/CM_hb.py.in, cts/CTStests.py.in:
    - Move debugging files with static name from /tmp to /var/run to avoid
      symlink attack.
    - CAN-2005-2231

 -- Martin Pitt <email address hidden>  Thu, 11 Aug 2005 11:04:10 +0000
Obsolete in hoary-release on 2008-03-19
heartbeat (1.2.3-3ubuntu1) hoary; urgency=low


  * debian/control: Removed raidtools2 build dependency, to help demotion of
    raidtools2 to universe.

 -- Martin Pitt <email address hidden>  Thu, 24 Feb 2005 10:12:16 +0100
Obsolete in warty-security on 2008-01-09
heartbeat (1.2.2-8ubuntu0.1) warty-security; urgency=low


  * SECURITY UPDATE: Fix insecure temporary files.
  * cts/CM_hb.py.in, cts/CTStests.py.in:
    - Move debugging files with static name from /tmp to /var/run to avoid
      symlink attack.
    - CAN-2005-2231

 -- Martin Pitt <email address hidden>  Thu, 11 Aug 2005 10:59:25 +0000
Obsolete in warty-release on 2008-01-09
heartbeat (1.2.2-8) unstable; urgency=low


  *  The previous version never made it into testing because
     the build failed on arm because the ssh package was broken
     at the time. I have not had any luck contacting someone to
     rebuild the package.
  *  Updated ldirectord to 1.77.2.4 (from 1.77.2.2).
     Fixes a problem where real servers present in multiple
     virtuals would only be added to one virtual service.

 -- Simon Horman <email address hidden>  Wed, 23 Jun 2004 17:01:26 +0900
161 of 61 results